# All variables that are used in various places go here

######################### General provider specific values

variable "aws_key" {
	description = "Access Key for AWS operations"
	type = string
	sensitive = true
}

variable "aws_secret" {
	description = "Secret Key for AWS operations"
	type = string
	sensitive = true
}

variable "aws_region" {
	description = "Region where the VPC is located"
	type = string
	sensitive = true
}

######################### Alpha variables

variable "alpha_ssh_key_name" {
	description = "Alpha ssh keyname"
	type = string
	sensitive = true
}
variable "alpha_public_key_path" {
	description = "Alpha's path t key on local disk"
	type = string
	sensitive = true
}
variable "alpha_instance_type" {
	description = "Alpha instance type(larger than beta due to docker requirement"
	type = string
	sensitive = true
}

variable "alpha_ami_id" {
	description = "AMI type for the docker host"
	type = string
}

######################### Alpha variables ###################################### 

variable "atlas_ssh_key_name" {
	description = "Atlas ssh keyname"
	type = string
	sensitive = true
}

variable "atlas_public_key_path" {
	description = "Atlas' key filepath on local disk"
	type = string
	sensitive = true
}

variable "atlas_instance_type" {
	description = "Atlas instance type larger size for docker"
	type = string
	sensitive = true
}

variable "atlas_ami_id" {
	description = "AMI type for the docker host"
	type = string
}

######################### Beta variables
variable "beta_ssh_key_name" {
	description = "SSH Key name for static web host"
	type = string
	sensitive = true
}
variable "beta_public_key_path" {
	description = "Pub key path on disk"
	type = string
	sensitive = true
}
variable "beta_instance_type" {
	description = "Host machine type"
	type = string
}
variable "beta_ami_id" {
	description = "AMI type for the static web host"
	type = string
}

######################### Subnet variables
variable "crete_cidr" {
	description = "CIDR block for the servers themselves"
	type = string
}
variable "athens_availability_zone" {
	description = "Availability zone for Project Bucket"
	type = string
}

######################### VPC variables
variable "athens_cidr" {
	description = "VPC Subnet CIDR block"
	type = string
}

######################### Alpha Cluster variables

variable "athens_prefix" {
	description = "Prefix for all things in alpha cluster"
	type = string
	default = "athens"
}


######################### Nginx reverse proxy vars

variable "shockray_xyz_s3_access_key_id" {
  description = "Acess key-id for shockrah.xyz bucket service user"
  type        = string
  sensitive   = true
}

variable "shockrah_xyz_s3_secret_key" {
  description = "Secret key for shockrah.xyz bucket service user"
  type        = string
  sensitive   = true
}

variable "shockrah_xyz_bucket_name" {
  description = "shockrah.xyz bucket name"
  type        = string
  sensitive   = true
}

variable "shockrah_xyz_s3_server" {
  description = "S3 target server"
  type        = string
  sensitive   = true
}

variable "shockrah_xyz_nginx_port" {
  description = "Port for shockrah.xyz"
  type        = number
  default     = 80
}

